glibmm 2.39.92

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Glib::Quark Class Reference

`#include <glibmm/quark.h>`

Inheritance diagram for Glib::Quark:
[legend]

## Public Member Functions
| Quark (const ustring& s)
| Quark (const char* s)
| ~Quark ()
Public Member Functions inherited from Glib::QueryQuark
| QueryQuark (const GQuark& q)
| QueryQuark (const ustring& s)
| QueryQuark (const char* s)
| ~QueryQuark ()
QueryQuark& | operator= (const QueryQuark& q)
| operator ustring () const
| operator GQuark () const
GQuark | id () const

## Additional Inherited Members
Related Functions inherited from Glib::QueryQuark
bool | operator== (const QueryQuark& a, const QueryQuark& b)
bool | operator!= (const QueryQuark& a, const QueryQuark& b)

## Constructor & Destructor Documentation

Glib::Quark::Quark | ( | const ustring& | s) |  |

Glib::Quark::Quark | ( | const char * | s) |  |

Glib::Quark::~Quark | ( | ) |  |